Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.create_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", path="reports/login-rate-limit.md", content="# Login rate limit\n\nReported by Acme on 2026-05-05.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.createEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
createMemoryEntryRequest: {
path: "reports/login-rate-limit.md",
content: "# Login rate limit\n\nReported by Acme on 2026-05-05.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.MemoryStores.CreateEntryAsync(
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
body: new MeetKai.MKA1.Types.Components.CreateMemoryEntryRequest() {
Path = "reports/login-rate-limit.md",
Content = @"# Login rate limit
Reported by Acme on 2026-05-05.",
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "reports/login-rate-limit.md",
"content": "# Login rate limit\n\nReported by Acme on 2026-05-05."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
path: 'reports/login-rate-limit.md',
content: '# Login rate limit\n\nReported by Acme on 2026-05-05.'
})
};
fetch('https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mem_entry_bb98f3c2223b566c9dfbcef895483209",
"object": "memory_entry",
"memory_store_id": "mem_aa87e2b1112a455b8deabed784372198",
"path": "reports/login-rate-limit.md",
"content": "# Login rate limit\n\nReported by Acme on 2026-05-05.",
"content_hash": "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
"bytes": 52,
"metadata": {},
"created_at": 1770000000,
"updated_at": 1770000000
}Memory Stores
Create memory entry
POST
/
api
/
v1
/
llm
/
memory_stores
/
{memory_store_id}
/
entries
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.create_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", path="reports/login-rate-limit.md", content="# Login rate limit\n\nReported by Acme on 2026-05-05.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.createEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
createMemoryEntryRequest: {
path: "reports/login-rate-limit.md",
content: "# Login rate limit\n\nReported by Acme on 2026-05-05.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.MemoryStores.CreateEntryAsync(
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
body: new MeetKai.MKA1.Types.Components.CreateMemoryEntryRequest() {
Path = "reports/login-rate-limit.md",
Content = @"# Login rate limit
Reported by Acme on 2026-05-05.",
}
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
application/json
Response
201 - application/json
OK
Pattern:
^[a-f0-9]{64}$Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Was this page helpful?
⌘I